Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1641819 - Retire python-dateutil15 in Fedora 30+
Summary: Retire python-dateutil15 in Fedora 30+
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-dateutil15
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-10-22 20:58 UTC by Miro Hrončok
Modified: 2018-10-31 13:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-31 13:54:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1605650 0 unspecified CLOSED python-dateutil15: FTBFS in Fedora rawhide 2021-02-22 00:41:40 UTC

Internal Links: 1605650

Description Miro Hrončok 2018-10-22 20:58:57 UTC
In line with the Mass Python 2 Package Removal [0], all (sub)packages of python-dateutil15 were marked for removal:

 * python2-dateutil15

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please retire your package in Rawhide (Fedora 30).

If there is no objection in a week, we will retire the package for you.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2018-10-22 21:02:39 UTC
Note: python2-dateutil15 provides:

  python2.7dist(python-dateutil) = 1.5
  python2dist(python-dateutil) = 1.5


And hence it was long marked as required by packages that require stuff like:

  python2.7dist(python-dateutil) >= 1.5

But in fact, this is also satisfied by python2-dateutil, so in fact it is not needed. Also, the only package that did that (buildbot) is now switched to python3.

Comment 2 Miro Hrončok 2018-10-31 13:54:20 UTC
Retired.


Note You need to log in before you can comment on or make changes to this bug.